Option Explicit

'API declarations
Declare Function WinHelp% Lib "User" (ByVal hWnd%, ByVal lpHelpFile$, ByVal wCommand%, dwData As Any)
Declare Function SendMessageBynum& Lib "User" Alias "SendMessage" (ByVal hWnd%, ByVal wMsg%, ByVal wParam%, ByVal lParam&)
Declare Function SendMessageBystring& Lib "User" Alias "SendMessage" (ByVal hWnd%, ByVal wMsg%, ByVal wParam%, ByVal lParam$)


'global variables
Global MBD_BtnReturned As Integer   'value returned by MsgBox function call

'global constants
Global Const IDOK = 1      'OK button selected.
Global Const IDCANCEL = 2  'Cancel button selected.
Global Const IDABORT = 3   'Abort button selected.
Global Const IDRETRY = 4   'Retry button selected.
Global Const IDIGNORE = 5  'Ignore button selected.
Global Const IDYES = 6     'Yes button selected.
Global Const IDNO = 7      'No button selected.

Global Const MODAL = 1     'window display state

Global Const HELP_QUIT = &H2        ' Terminate help
Global Const HELP_INDEX = &H3       ' Display help index

'edit control message constants
Global Const WM_USER = &H400
Global Const EM_GETLINECOUNT = WM_USER + 10
Global Const EM_LINEINDEX = WM_USER + 11
Global Const EM_LINELENGTH = WM_USER + 17
Global Const EM_GETLINE = WM_USER + 20

Sub Center_Form (vbf As Form)
'center form (vbf) on screen
vbf.Move (screen.Width - vbf.Width) \ 2, (screen.Height - vbf.Height) \ 2
End Sub

